Gönderen Konu: [Çözüldü] Yazıcı - Cups Sunucu Hatası  (Okunma sayısı 885 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı yyz

  • Çaylak Penguen
  • **
  • İleti: 115
  • Dağıtım: Linux Mint 18 64bit
  • Masaüstü: Cinnamon&Mate
[Çözüldü] Yazıcı - Cups Sunucu Hatası
« : 30 Mart 2017, 17:41:00 »
Merhaba, şu ana kadar hiç problem yaşamadığım yazıcıda bağlanma sorunu yaşıyorum. Sistem yazıcıyı görmüyor, eklemeye çalıştığımda "CUPS işleyişi sırasında bir hata meydana geldi: 'failed to connect to server'." diye hata alıyorum. Bir kaç gün önce cups ile ilgili güncelleme aldı, sanırım ondan sonra sorun oldu. Cups kurmaya çalıştığımda şöyle hata alıyorum:
Kod: [Seç]
sudo apt-get install cups
[sudo] password for cihan:
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Bazı paketler kurulamadı. Bu durum, olanaksız bir durum istemiş
olduğunuzu ya da kararsız (unstable) dağıtımı kullandığınızı ve
bazı paketlerin henüz oluşturulamamış  ya da oluşturulmakta
olduğunu gösterir.
Aşağıdaki bilgiler durumu çözmenize yardımcı olabilir:

Aşağıdaki paketler karşılanmamış bağımlılıklara sahip:
 cups : Bağımlılıklar: libcups2 (= 2.1.3-4) ama 2.1.3-4ubuntu0.2 kurulacak
        Bağımlılıklar: cups-core-drivers (>= 2.1.3-4)
        Bağımlılıklar: cups-daemon (>= 2.1.3-4)
E: Sorunlar giderilemedi, tutulan bozuk paketleriniz var.
Var mı bir çözümü?
« Son Düzenleme: 01 Nisan 2017, 11:19:59 Gönderen: yyz »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 14712
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19 & LMDE 2
  • Masaüstü: Cinnamon 3.8 & Mate 1.20
Ynt: Yazıcı - Cups Sunucu Hatası
« Yanıtla #1 : 30 Mart 2017, 20:14:51 »
Önce paket bilgisi ön belleğini güncellemeyi deneyebilirsiniz.

Kod: [Seç]
sudo apt-get update
Sorun çözülmezse => Paket Yönetimi ve Depo Sorunları ile İlgili Konularda Verilmesi Gereken Çıktılar
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı zboraon

  • Çaylak Penguen
  • **
  • İleti: 101
  • Dağıtım: Linux Mint 18.2 Sonya
  • Masaüstü: Cinnamon
  • Grafik Kartı: GeForce GT 750M
  • İşlemci: Intel Core i7-4700HQ @ 2.40 GHz
Ynt: Yazıcı - Cups Sunucu Hatası
« Yanıtla #2 : 30 Mart 2017, 21:55:28 »
Selamlar son sürüm ile ilgili bir bug varmış: https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1676621
Ben önceki sürüme dönerek sorunu çözdüm:

Kod: [Seç]
sudo apt-get install cups=2.1.3-4 cups-ppdc=2.1.3-4 libcups2=2.1.3-4 cups-client=2.1.3-4 cups-bsd=2.1.3-4 cups-common=2.1.3-4 cups-server-common=2.1.3-4 cups-core-drivers=2.1.3-4 libcupscgi1=2.1.3-4 cups-daemon=2.1.3-4 libcupsmime1=2.1.3-4 libcupsimage2=2.1.3-4 libcupsppdc1=2.1.3-4 libcupsimage2=2.1.3-4
« Son Düzenleme: 01 Nisan 2017, 18:08:45 Gönderen: zboraon »
Kendi çapında bir jeolog.
Matlab, GMT, R, Qgis, SAGA kullanmaya çalışıyorum.

Çevrimdışı yyz

  • Çaylak Penguen
  • **
  • İleti: 115
  • Dağıtım: Linux Mint 18 64bit
  • Masaüstü: Cinnamon&Mate
Ynt: Yazıcı - Cups Sunucu Hatası
« Yanıtla #3 : 01 Nisan 2017, 11:19:45 »
Belirtildiği gibi sürüm düşürme yaptım ve sorun çözüldü. Teşekkürler...